Orientation
Date: 2019-10-22

org.jmol.modelset

## Class Orientation

- java.lang.Object
- - org.jmol.modelset.Orientation

-     public class Orientation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float` | `cameraDepth`
    `private float` | `cameraX`
    `private float` | `cameraY`
    `private javajs.util.P3` | `center`
    `private java.lang.String` | `moveToText`
    `private javajs.util.P3` | `navCenter`
    `private float` | `navDepth`
    `private boolean` | `navigationMode`
    `private float[]` | `pymolView`
    `private javajs.util.M3` | `rotationMatrix`
    `private float` | `rotationRadius`
    `java.lang.String` | `saveName`
    `private Viewer` | `vwr`
    `private boolean` | `windowCenteredFlag`
    `private float` | `xNav`
    `private float` | `xTrans`
    `private float` | `yNav`
    `private float` | `yTrans`
    `private float` | `zoom`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Orientation(Viewer vwr, boolean asDefault, float[] pymolView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMoveToText(boolean asCommand)`
    `boolean` | `restore(float timeSeconds, boolean isAll)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### saveName

          public java.lang.String saveName

    - #### rotationMatrix

          private javajs.util.M3 rotationMatrix

    - #### xTrans

          private float xTrans

    - #### yTrans

          private float yTrans

    - #### zoom

          private float zoom

    - #### rotationRadius

          private float rotationRadius

    - #### center

          private javajs.util.P3 center

    - #### navCenter

          private javajs.util.P3 navCenter

    - #### xNav

          private float xNav

    - #### yNav

          private float yNav

    - #### navDepth

          private float navDepth

    - #### cameraDepth

          private float cameraDepth

    - #### cameraX

          private float cameraX

    - #### cameraY

          private float cameraY

    - #### windowCenteredFlag

          private boolean windowCenteredFlag

    - #### navigationMode

          private boolean navigationMode

    - #### moveToText

          private java.lang.String moveToText

    - #### pymolView

          private float[] pymolView

    - #### vwr

          private Viewer vwr

  - ### Constructor Detail

    - #### Orientation

          public Orientation(Viewer vwr,
                             boolean asDefault,
                             float[] pymolView)

  - ### Method Detail

    - #### getMoveToText

          public java.lang.String getMoveToText(boolean asCommand)

    - #### restore

          public boolean restore(float timeSeconds,
                                 boolean isAll)